drop table t purge;
set echo on
create table t
(x int
,name varchar2(25)
);

create or replace trigger trg
   before insert on t
   for each row
begin
   :new.name := 'Alex';
end;
/
pause

insert into t (x)
values (1);
pause
select *
  from t
/
pause

insert /*+ no_trigger */
  into t (x)
values (2);
pause
select *
  from t
/
