set echo on
drop table t purge;

create table t
(x int primary key
,cnt int
);

insert into t values (1, 1);

pause

alter session set sql_trace = true;

insert into t values (1, 1);

insert into t values (1, 1);

pause
set echo off
@tk
set echo on

pause

drop table t purge;

create table t
(x int primary key
,cnt int
);

/*
begin
   for i in 1..20
   loop
      begin
         insert into t values (1, i);
      exception
         when Dup_Val_On_Index
         then
            update t
               set cnt = cnt + 1
             where x = 1;
      end;
   end loop;
end;
*/
pause
alter session set sql_trace = true;

begin
   for i in 1..20
   loop
      begin
         insert into t values (1, i);
      exception
         when Dup_Val_On_Index
         then
            update t
               set cnt = cnt + 1
             where x = 1;
      end;
   end loop;
end;
/
set echo off
@tk
cl scr

set echo on

drop table t purge;

create table t
(x int primary key
,cnt int);

/*
begin
   for i in 1..20
   loop
      begin
         update t
            set cnt = cnt + 1
          where x = 1;
         if sql%rowcount = 0
         then
            insert into t
            values (1, i);
         end if;
      end;
   end loop;
end;
*/
pause

alter session set sql_trace = true;

begin
   for i in 1..20
   loop
      begin
         update t
            set cnt = cnt + 1
          where x = 1;
         if sql%rowcount = 0
         then
            insert into t
            values (1, i);
         end if;
      end;
   end loop;
end;
/

set echo off
@tk
truncate table t;
Prompt ### Increase to 2000 repetitions ###
set timing on
begin
   for i in 1..2000
   loop
      begin
         insert into t values (1, i);
      exception
         when Dup_Val_On_Index
         then
            update t
               set cnt = cnt + 1
             where x = 1;
      end;
   end loop;
end;
/
set timing off
select *
  from t
/
truncate table t
/
set timing on
begin
   for i in 1..2000
   loop
      begin
         update t
            set cnt = cnt + 1
          where x = 1;
         if sql%rowcount = 0
         then
            insert into t
            values (1, i);
         end if;
      end;
   end loop;
end;
/
set timing off
select *
  from t
/

drop table t purge;
